import Ajax from '../../util/ajax'
import api from '../../util/api'

export default {
  namespaced: true,
  state: {
    orders: {},
  },
  mutations: {
    setGoodsOrders (state, data) { // 获取案场下单数量信息
      state.orders = data
    },
  },
  actions: {
    getCustomerGoodsOrder ({ commit }, payload) {
      return new Promise((resolve, reject) => {
        Ajax(api.goods.getCustOrders.url, {
          method: api.goods.getCustOrders.method,
          queryData: {
            ...payload
          },
        }).then(res => {
          commit("setGoodsOrders", res)
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    },
  }
}